.video-grid {
    display: flex;
    align-items: stretch;
    justify-content: center;
    flex-wrap: wrap;
    gap: 40px 16px;
    max-width: 1138px;
    margin-inline: auto;

    .video-card {
        width: 100%;
        border-radius: 0 0 30px 30px;
        overflow: hidden;
        background: var(--neutral-50);
        box-shadow: 1px 3px 11.4px 2px rgba(130, 130, 130, 0.17);
        display: flex;
        flex-direction: column;

        .video-card__image {
            padding-top: 178%;
            flex-shrink: 0;
        }

        .video-card__button {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translateX(-50%) translateY(-50%);
            cursor: pointer;
            background: var(--neutral-50);
            color: var(--neutral-800);
            font-size: 24px;
            border: 0;
            border-radius: 50%;
            width: 69px;
            height: 69px;
            display: inline-flex;
            align-items: center;
            justify-content: center;
            transition: 0.5s;
        }
        .video-card__button:is(:hover, :focus-visible) {
            color: var(--neutral-50);
            background: var(--neutral-800);
        }

        .video-card__content {
            padding: 20px 15px;
            text-align: center;
            flex-grow: 1;

            h3 {
                padding: 0;
                color: var(--neutral-300);
                font-weight: bold;
                letter-spacing: 1px;
                font-size: 18px;
            }
        }
    }
}

@media only screen and (min-width: 576px) {
    .video-grid {
        .video-card {
            width: calc(50% - 8px);
        }
    }
}

@media only screen and (min-width: 769px) {
    .video-grid {
        gap: 40px 30px;

        .video-card {
            width: calc(50% - 15px);
        }
    }
}

@media only screen and (min-width: 992px) {
    .video-grid {
        gap: 40px 16px;

        .video-card {
            width: calc(33% - 9px);
        }
    }
}

@media only screen and (min-width: 1201px) {
    .video-grid {
        gap: 40px 30px;

        .video-card {
            width: calc(33% - 17px);
        }
    }
}
